# Class default

This is a base element.

That includes:

- i18next initialization.
- Bootstrap (custom build + color in vars), Font Awesome, reset and some custom style.
- Configuration directly available by overriding the `initConfig` method.
- RXJS subscription added to subscriptions are unsubscribe on element removal. Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-element')
       export default class MyElement extent (window as any).gmfapi.elements.BaseElement {
         static styles = [
           ...(window as any).gmfapi.elements.BaseElement.styles,
           css`...`
         ];

         initConfig(configuration: Any): void {
           ...
         };

         render(): TemplateResult {
           return html`${this.getTitle(i18next.t('Title'))}
             your template`
         }
       }

#### Hierarchy (view full)

- LitElement
  - default
    - default
    - default
    - gmfLidarFooter
    - default
    - default

- Defined in srcapi/elements/BaseElement.ts:59

#####
Index

### Constructors

constructor

### Properties

bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

connectedCallback
disconnectedCallback
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- #### Returns default

  Inherited from LitElement.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

## Properties

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Overrides LitElement.styles

- Defined in srcapi/elements/BaseElement.ts:139

## Methods

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Overrides LitElement.connectedCallback

  - Defined in srcapi/elements/BaseElement.ts:147

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Overrides LitElement.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from LitElement.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from LitElement.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from LitElement.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?): Promise<void>

- #### Parameters

  - `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from LitElement.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc